<?php

namespace ACL\Helpers\Instances;

use ACL\Repositories\PerfilAcesso;
use Exception;
use Zeedhi\Framework\DependencyInjection\InstanceManager;
use Teknisa\Model\Geral;
use Teknisa\Model\Teknisa;

class RepositoryInstance {
    /**
     * @return PerfilAcesso
     * @throws Exception
     */
    public static function getPerfilAcesso(): PerfilAcesso
    {
        return InstanceManager::getInstance()->getService('perfilDeAcessoRepository');
    }
}
